CVE-2023-34036

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2023-34036
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2023-34036.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2023-34036
Aliases
Published
2023-07-17T11:15:09Z
Modified
2024-05-30T04:06:18.270883Z
Severity
  • 5.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N CVSS Calculator
Summary
[none]
Details

Reactive web applications that use Spring HATEOAS to produce hypermedia-based responses might be exposed to malicious forwarded headers if they are not behind a trusted proxy that ensures correctness of such headers, or if they don't have anything else in place to handle (and possibly discard) forwarded headers either in WebFlux or at the level of the underlying HTTP server.

For the application to be affected, it needs to satisfy the following requirements:

  • It needs to use the reactive web stack (Spring WebFlux) and Spring HATEOAS to create links in hypermedia-based responses.
  • The application infrastructure does not guard against clients submitting (X-)Forwarded‚Ķ¬†headers.
References

Affected packages

Git / github.com/spring-projects/spring-hateoas

Affected ranges

Type
GIT
Repo
https://github.com/spring-projects/spring-hateoas
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

0.*

0.1.0.RELEASE
0.10.0.RELEASE
0.11.0.RELEASE
0.12.0.RELEASE
0.13.0.RELEASE
0.14.0.RELEASE
0.15.0.RELEASE
0.16.0.RELEASE
0.17.0.RELEASE
0.18.0.RELEASE
0.19.0.RELEASE
0.2.0.RELEASE
0.20.0.RELEASE
0.21.0.RELEASE
0.22.0.RELEASE
0.23.0.RELEASE
0.3.0.RELEASE
0.4.0.RELEASE
0.5.0.RELEASE
0.6.0.RELEASE
0.7.0.RELEASE
0.8.0.RELEASE
0.9.0.RELEASE

1.*

1.0.0.M1
1.0.0.M2
1.0.0.M3
1.0.0.RC1
1.0.0.RC2
1.0.0.RELEASE
1.1.0.M1
1.1.0.M2
1.1.0.RC1
1.1.0.RELEASE
1.2.0
1.2.0-M1
1.2.0-RC1
1.3.0
1.3.0-M1
1.3.0-M2
1.3.0-M3
1.3.0-RC1
1.4.0
1.4.0-M1
1.4.0-M2
1.4.0-M3
1.4.0-RC1
1.5.0
1.5.0-M1
1.5.0-M2
1.5.0-RC1
1.5.1
1.5.2
1.5.3
1.5.4